﻿using System;
using System.Collections.Generic;
using System.Text.Json.Serialization;

namespace MusicAPI.BaseModel
{
    public partial class Song
    {
        public int IdSong { get; set; }
        public string? NameSong { get; set; }
        [JsonIgnore]
        public int? IdGenre { get; set; }
        [JsonIgnore]
        public int? IdArtist { get; set; }
        public int? Duration { get; set; }

        public virtual Artist? IdArtistNavigation { get; set; }
        public virtual Genre? IdGenreNavigation { get; set; }
    }
}
